Module ij
Package ij.gui

# Interface PlotMaker

All Known Implementing Classes:
  `Profiler`, `ZAxisProfiler`

public interface PlotMaker
Plugins that generate "Live" profile plots (Profiler and ZAxisProfiler) displayed in PlotWindows implement this interface.

## Method Summary

Modifier and Type
Method
Description
`Plot`
`getPlot()`
Returns a profile plot.
`ImagePlus`
`getSourceImage()`
Returns the ImagePlus used to generate the profile plots.

## Method Details

### getPlot

Plot getPlot()
Returns a profile plot.

### getSourceImage

ImagePlus getSourceImage()
Returns the ImagePlus used to generate the profile plots.